Cancel a shipment
curl --request DELETE \
--url https://app.papelship.com/api/v1/orders/{invoiceId}/shipments/{shipmentId} \
--header 'x-api-key: <api-key>' \
--header 'x-store-hash: <api-key>'const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'x-store-hash': '<api-key>'}
};
fetch('https://app.papelship.com/api/v1/orders/{invoiceId}/shipments/{shipmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/v1/orders/{invoiceId}/shipments/{shipmentId}"
headers = {
"x-api-key": "<api-key>",
"x-store-hash": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/v1/orders/{invoiceId}/shipments/{shipmentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-store-hash: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/v1/orders/{invoiceId}/shipments/{shipmentId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-store-hash", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"order": {
"id": "c35ffd-19a1b2c3d4e-8c7a20",
"status": "<string>",
"fulfillment_status": "unfulfilled",
"paid_at": "2026-10-04T12:00:00.000Z",
"created_at": "2026-10-04T12:00:00.000Z",
"customer_email": "<string>",
"currency": "<string>",
"total_cents": 123,
"shipping_cents": 123,
"shipping_method": {},
"shipping_address": {
"full_name": "Alex Morgan",
"company": "<string>",
"phone": "+44 20 7946 0958",
"email": "<string>",
"country_code": "GB",
"region": "Greater London",
"city": "London",
"district": "<string>",
"line1": "221B Baker Street",
"line2": "<string>",
"postal_code": "NW1 6XE"
},
"items": [
{
"id": 123,
"product_id": 123,
"variant_id": 123,
"name": "<string>",
"variant_name": "<string>",
"sku": "<string>",
"quantity": 123,
"total_cents": 123,
"ships": true,
"shipped_quantity": 123
}
],
"shipments": [
{
"id": 123,
"status": "label_created",
"carrier_code": "dhl_express",
"carrier_name": "DHL Express",
"tracking_number": "<string>",
"tracking_url": "<string>",
"shipped_at": "2026-10-04T12:00:00.000Z",
"delivered_at": "2026-10-04T12:00:00.000Z",
"notify_customer": true,
"items": [
{
"invoice_item_id": 123,
"qty": 123
}
],
"events": [
{
"status": "label_created",
"location": "<string>",
"description": "<string>",
"occurred_at": "2026-10-04T12:00:00.000Z",
"source": "merchant"
}
]
}
],
"returns": [
{
"id": "9f1c2a7b3d4e5f60",
"object": "return",
"order_id": "<string>",
"status": "requested",
"reason": "damaged",
"customer_note": "<string>",
"merchant_note": "<string>",
"return_location_id": 123,
"return_carrier_code": "<string>",
"return_carrier_name": "<string>",
"return_tracking_number": "<string>",
"return_tracking_url": "<string>",
"restocked": true,
"refund_cents": 123,
"items": [
{
"invoice_item_id": 123,
"quantity": 123,
"product_name": "<string>",
"variant_name": "<string>"
}
],
"events": [
{
"status": "<string>",
"note": "<string>",
"actor": "<string>",
"created_at": "2026-10-04T12:00:00.000Z"
}
],
"created_at": "2026-10-04T12:00:00.000Z",
"updated_at": "2026-10-04T12:00:00.000Z",
"resolved_at": "2026-10-04T12:00:00.000Z"
}
],
"notes": [
{
"id": 123,
"body": "<string>",
"created_at": "2026-10-04T12:00:00.000Z"
}
]
}
}{
"success": false,
"code": "INVALID_REQUEST",
"error": "Request body must be valid JSON",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "INVALID_API_KEY",
"error": "Invalid API Key",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "INSUFFICIENT_SCOPE",
"error": "This API key needs the orders:write permission",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "NOT_FOUND",
"error": "Invoice not found",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "INVOICE_PAID",
"error": "A paid order cannot be cancelled. Refund it instead.",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "RATE_LIMITED",
"error": "Too many requests. The limit is 300 requests per minute per key.",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}Fulfillment
Cancel a shipment
Its items go back to “to ship”.
Permission: fulfillment:write
DELETE
/
orders
/
{invoiceId}
/
shipments
/
{shipmentId}
Cancel a shipment
Authorizations
Your Store API key (pk_live_...). Create it in Developers › API keys.
The ID of the store the request is for. Shown in Developers › API keys.
Path Parameters
Public order ID.
Example:
"c35ffd-19a1b2c3d4e-8c7a20"
Shipment ID.
Example:
"88"